{#
/**
 * @file
 *
 * Default product template.
 *
 * Available variables:
 * - attributes: HTML attributes for the wrapper.
 * - product: The rendered product fields.
 *   Use 'product' to print them all, or print a subset such as
 *   'product.title'. Use the following code to exclude the
 *   printing of a given field:
 *   @code
 *   {{ product|without('title') }}
 *   @endcode
 * - product_entity: The product entity.
 * - product_url: The product URL.
 *
 * @ingroup themeable
 */
#}
{{ attach_library('goku/commerce.product-images') }}
{%
  set classes = [
  'commerce-product',
  'commerce-product--' ~ product_entity.bundle|clean_class,
  'commerce-product--full',
]
%}
<article{{ attributes.addClass(classes) }}>
  <div class="row">
    <div class="col-md-6">
      {{- product.field_images -}}
      {{- product.variation_field_images -}}
    </div>
    <div class="col-md-6">
      <div class="commerce-product__contents">
        {{- product.title -}}
        {{- product.variation_price -}}
        {{- product|without('field_images','variation_attributes','variation_price','variation_field_images') -}}
      </div>
    </div>
  </div>
</article>
